=== debian/changelog ===
debdelta (0.55) unstable; urgency=medium

  * update git location
  * add debian backports to sources.conf

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 18:30:51 +0100

debdelta (0.54) unstable; urgency=medium

  * [INTL:pt] Portuguese translation, thanks to Américo Monteiro
  (Closes: #760731).
  * bump standards version to 3.9.6.0
  * debian/rules : add build-arch, build-indep
  * add new keys into keyring
  * import some code from GIT server branch

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 17:00:39 +0100

debdelta (0.53) experimental; urgency=low

  * merge changes uploaded in wheezy, and changelogs as well
  * Bug fix: "owned and unowned files after purge (policy 6.8 + 10.7.3)",
    thanks to Holger Levsen (Closes: #617481).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 02 Dec 2012 18:52:15 +0100

debdelta (0.52) experimental; urgency=low

  * debpatch, debdelta-upgrade : do not get confused by broken symlinks
  * enable hardening flags

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 02 Nov 2012 10:08:46 +0100

debdelta (0.51) experimental; urgency=low

  * debdelta, debdeltas: XZ parameter autodetection, detect CRC choice
     and compression

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Sep 2012 16:34:53 +0200
