=== debian/control ===
Source: debdelta
Section: devel
Priority: optional
Build-Depends: zlib1g-dev, libbz2-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.9.6.0
Homepage: http://debdelta.debian.net
Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git

Package: debdelta
Architecture: any
Depends: python, bzip2, binutils, ${shlibs:Depends}
Recommends: python-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python-debian
Conflicts: xdelta3 (<< 0y.dfsg-1)
Enhances: cupt
Suggests: debdelta-doc
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This suite contains 'debdelta-upgrade', that downloads deltas and use them
 to create all Debian packages needed for an 'apt-get upgrade'.
 It may be used in a Debian/unstable host (to speed up download of new
 packages), or in a Debian/stable host (for security updates).
 .
 Similarly, when this package is installed, the 'cupt' package manager will
 use deltas to upgrade the host.

Package: debdelta-doc
Section: doc
Architecture: all
Recommends: debdelta
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This package contains the documentation.
