=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 package = debdelta
 
 D = debian/debdelta
+
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 docdir = $(D)/usr/share/doc/$(package)
 mandir = $(D)/usr/share/man/man1/
@@ -51,13 +53,15 @@
 	rm -rf $(D2)
 	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
 	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
-	cd $(docdir2doc) && gzip -9 changelog
+	cd $(docdir2doc) && gzip -9n changelog
 	cp -r doc/html  $(docdir2doc)
 	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
 	ln -s ../debdelta-doc/html  $(docdir2)
 	# build package
 	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
 	chown -R root:root $(D2)
+	find debian/debdelta-doc -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build $(D2) ..
 
 binary-arch:	checkroot build
@@ -94,14 +98,16 @@
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	# /usr/share/doc
 	cp FAQ README.features debian/copyright debian/changelog $(docdir)
-	cd $(docdir) && gzip -9 changelog FAQ
+	cd $(docdir) && gzip -9n changelog FAQ
 	# man
 	cp *.1 $(mandir)
-	gzip -9 $(mandir)/*.1 
+	gzip -9n $(mandir)/*.1 
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
 	chown -R root:root $(D)
+	find debian/debdelta -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build $(D) ..
 
 define checkdir
