## debdelta 0.59

=== debian/changelog ===
debdelta (0.59) unstable; urgency=medium

  * really bump standards version to 3.9.8
  * correct typo in copyright
  * fix code for small debs, do not check for stamps
  * Bug fix: "local variable 'url' referenced before assignment",
    thanks to Steffen Weinhart, (Closes: #708022).
  * Add 'set -e' in debian/rules. Thanks Niels Thykier
  * correct wrong message 'No deb-policy "u" ....' Thanks Niels Thykier

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 08 Feb 2017 11:28:50 +0100

debdelta (0.58exp) experimental; urgency=medium

  * Bug fix: "cannot handle redirects",
    thanks to Paul Wise (Closes: #835655).
  * Bug fix: "Portuguese translation not packaged",
    thanks to Carlos Maddela (Closes: #849908).
  * Bug fix: "[INTL:pt] Updated Portuguese translation for program",
    thanks to Miguel Figueiredo (Closes: #852087).
  * Installation leaves gpg-agent process running
    Thanks Andreas Beckmann (Closes: #85135).
  * Various code fixes.
  * Lintian fixes:
    - rewrite copyright using  copyright-format/1.0/
    - bump standards version to 3.9.8

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 06 Feb 2017 12:49:20 +0100

debdelta (0.57) unreleased; urgency=medium

  * Autodetect and install all available translations.
    Thanks Carlos Maddela. Closes: #849908
  * Update Italian translation.
  * Fix guessing of xz parameters for dbgsym files.
  * debdelta-upgrade: explain why the delta is not available; and also add
    corresponding --deb-policies.
    Thanks  shirish शिरीष . Closes: #779897
  * debdelta-upgrade handles redirects. Thanks Paul Wise. Closes: #835655

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 07 Jan 2017 18:16:32 +0100
