=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8
 Homepage: http://debdelta.debian.net
 Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git
