=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.8
 Homepage: http://debdelta.debian.net
-Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git
+Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
 
 Package: debdelta
 Architecture: any
