## debdelta 0.65

=== debian/changelog ===
debdelta (0.65) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (native) format
  * debian/rules : use `cp -p` and `chmod`
  * bump standards version to 4.4.1

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 23 Dec 2019 17:56:32 +0100

debdelta (0.64) unstable; urgency=medium

  * add new gnupg key
  * some patches debdeltas_server
  * uses Python3, this fixes "Python2 removal in sid/bullseye", thanks to Sandro Tosi
    (Closes: #945657)
  * python-poster is not used anymore (Closes: 700969)
  * error logs are not sent (Closes: 737810)
  * Fix FTCBFS: Use host tools. (Closes: 905754) Thanks Helmut Grohne <helmut@subdivi.de>

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 13 Dec 2019 22:20:11 +0100
