## debdelta 0.65+nmu1

=== debian/changelog ===
debdelta (0.65+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix "DeprecationWarning: isAlive() is deprecated, use is_alive()
    instead" (Closes: #962203, #954420)

 -- Calum McConnell <calumlikesapplepie@gmail.com>  Fri, 01 Jan 2021 17:15:42 -0500
