## debdelta 0.70~bpo11+1

=== debian/changelog ===
debdelta (0.70~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 02 Jan 2024 11:59:47 +0100

debdelta (0.70) unstable; urgency=medium

  * update documentation
  * debdelta: do not warn when tar is in PAX format
  * debdelta-upgrade bugfix: properly scan deltas for info file
  * the server was updated and many bugs were fixed, see
    http://debdelta.debian.net/

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 02 Jan 2024 09:02:03 +0100

debdelta (0.69) unstable; urgency=medium

  * bump standards version to 4.6.2 (no changes)
  * correct git address in copyright

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 10 Dec 2023 12:26:23 +0100

debdelta (0.68) unstable; urgency=medium

  * add 2027 signing key
  * support https. Thanks Steven De Herdt  (Closes: #901813).
  * Do not uri-quote deb package names, closes
    "Difference in current filename packaging conventions leads
    to downloads being ignored by apt", thanks to Yuri D'Elia, Luke Ross
    (Closes: #1003824).
    "debdelta-upgrade changes filenames; replaces [...]
     but debs are correct.", thanks to R S Chakravarti
    (Closes: #1012735).
  * do not double-url-quote, properly download debs (when deb-policy permits)
  * include the non-free-firmware component;
    thanks to Ben Morris (Closes: #1030391).
  * depends on gnupg not gnupg2
    Thanks  Andreas Metzler (Closes: #1055398).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 02 Dec 2023 13:59:32 +0100
