## debdelta 0.70

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://debdelta.debian.net
 Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
 
 Package: debdelta
 Architecture: any
 Depends: python3, python3-requests, bzip2, binutils, ${shlibs:Depends}
-Recommends: python3-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python3-debian
+Recommends: python3-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg, gnupg-agent, python3-debian
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc
