## debdelta 0.70%2Bnmu2

=== debian/changelog ===
debdelta (0.70+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096514)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 13:46:29 +0300

debdelta (0.70+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Have debdelta build without requiring root.

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 05:10:43 +0000
