## debdelta 0.70%2Bnmu2build1

=== debian/changelog ===
debdelta (0.70+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:13:08 +0100
