## debdelta 0.70+nmu1

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	rm -f minigzip minibzip2
 	rm -rf $(D) $(D2)
 
-binary-indep:	checkroot build
+binary-indep:	build
 	$(checkdir)
 	rm -rf $(D2)
 	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
@@ -65,15 +65,14 @@
 	ln -s ../debdelta-doc/html  $(docdir2)
 	# build package
 	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
-	chown -R root:root $(D2)
 	find debian/debdelta-doc -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	# Ensure correct mode for files for reproducible builds
 	chmod -c 0755 $(docdir2doc)/html/
 	chmod -c 0644 $(docdir2doc)/html/*
-	dpkg-deb --build $(D2) ..
+	dpkg-deb --root-owner-group --build $(D2) ..
 
-binary-arch:	checkroot build
+binary-arch:	build
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
@@ -117,12 +116,11 @@
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
-	chown -R root:root $(D)
 	find debian/debdelta -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	# Ensure correct mode for files for reproducible builds
 	chmod -c 0644 $(D)/usr/share/debdelta/*.patch
-	dpkg-deb --build $(D) ..
+	dpkg-deb --root-owner-group --build $(D) ..
 
 define checkdir
 	test -f debdelta -a -f debian/rules
@@ -130,8 +128,4 @@
 
 binary: binary-indep binary-arch
 
-checkroot:
-	$(checkdir)
-	test $$(id -u) = 0
-
 .PHONY: binary binary-arch binary-indep clean checkroot
