=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: http://debdelta.debian.net
 Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
