=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 INSTALL_PROGRAM = install --strip-program=$(STRIP)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -std=gnu17
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
